# Uses of Interface
org.opensaml.saml.saml2.core.BaseID

Packages that use BaseID
Package
Description
org.opensaml.saml.ext.saml2delrestrict
Interfaces for SAML 2 Condition for Delegation Restriction.
org.opensaml.saml.ext.saml2delrestrict.impl
Implementation for SAML v2.0 Condition for Delegation Restriction Version 1.0.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.

## Uses of BaseID in org.opensaml.saml.ext.saml2delrestrict

Methods in org.opensaml.saml.ext.saml2delrestrict that return BaseID
Modifier and Type
Method
Description
`BaseID`
Delegate.`getBaseID()`
Gets the BaseID child element of the delegate.
Methods in org.opensaml.saml.ext.saml2delrestrict with parameters of type BaseID
Modifier and Type
Method
Description
`void`
Delegate.`setBaseID(BaseID newBaseID)`
Sets the BaseID child element of the delegate.

## Uses of BaseID in org.opensaml.saml.ext.saml2delrestrict.impl

Fields in org.opensaml.saml.ext.saml2delrestrict.impl declared as BaseID
Modifier and Type
Field
Description
`private BaseID`
DelegateImpl.`baseID`
BaseID child element.
Methods in org.opensaml.saml.ext.saml2delrestrict.impl that return BaseID
Modifier and Type
Method
Description
`BaseID`
DelegateImpl.`getBaseID()`
Gets the BaseID child element of the delegate.
Methods in org.opensaml.saml.ext.saml2delrestrict.impl with parameters of type BaseID
Modifier and Type
Method
Description
`void`
DelegateImpl.`setBaseID(BaseID newBaseID)`
Sets the BaseID child element of the delegate.

## Uses of BaseID in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return BaseID
Modifier and Type
Method
Description
`BaseID`
LogoutRequest.`getBaseID()`
Gets the base identifier of the principal for this request.
`BaseID`
NameIDMappingRequest.`getBaseID()`
Gets the base identifier of the principal for this request.
`BaseID`
Subject.`getBaseID()`
Gets the base identifier of the principal for this request.
`BaseID`
SubjectConfirmation.`getBaseID()`
Gets the base identifier of the principal for this request.
Methods in org.opensaml.saml.saml2.core with parameters of type BaseID
Modifier and Type
Method
Description
`void`
LogoutRequest.`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.
`void`
NameIDMappingRequest.`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.
`void`
Subject.`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.
`void`
SubjectConfirmation.`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.

## Uses of BaseID in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement BaseID
Modifier and Type
Class
Description
`class`
`BaseIDImpl`
Concrete implementation of `BaseID`.
`class`
`BaseIDXSAnyAdapter`
Component that adapts an instance of `XSAny` to the interface `BaseID`.
Fields in org.opensaml.saml.saml2.core.impl declared as BaseID
Modifier and Type
Field
Description
`private BaseID`
LogoutRequestImpl.`baseID`
BaseID child element.
`private BaseID`
NameIDMappingRequestImpl.`baseID`
BaseID child element.
`private BaseID`
SubjectConfirmationImpl.`baseID`
BaseID child element.
`private BaseID`
SubjectImpl.`baseID`
BaseID child element.
Methods in org.opensaml.saml.saml2.core.impl that return BaseID
Modifier and Type
Method
Description
`BaseID`
LogoutRequestImpl.`getBaseID()`
Gets the base identifier of the principal for this request.
`BaseID`
NameIDMappingRequestImpl.`getBaseID()`
Gets the base identifier of the principal for this request.
`BaseID`
SubjectConfirmationImpl.`getBaseID()`
Gets the base identifier of the principal for this request.
`BaseID`
SubjectImpl.`getBaseID()`
Gets the base identifier of the principal for this request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type BaseID
Modifier and Type
Method
Description
`void`
LogoutRequestImpl.`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.
`void`
NameIDMappingRequestImpl.`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.
`void`
SubjectConfirmationImpl.`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.
`void`
SubjectImpl.`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.

## Uses of BaseID in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption with parameters of type BaseID
Modifier and Type
Method
Description
`EncryptedID`
Encrypter.`encrypt(BaseID baseID)`
Encrypt the specified BaseID.